# ReservedChannelException (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.plugin.messaging, class: ReservedChannelException

Package org.bukkit.plugin.messaging

# Class ReservedChannelException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.bukkit.plugin.messaging.ReservedChannelException

All Implemented Interfaces:
  `Serializable`

public class ReservedChannelException extends RuntimeException
Thrown if a plugin attempts to register for a reserved channel (such as "REGISTER")

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ReservedChannelException()`
`ReservedChannelException(String name)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReservedChannelException

public ReservedChannelException()

### ReservedChannelException

public ReservedChannelException(String name)